#
# spec file for package perl-File-Remove
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Remove
Version:        1.57
Release:        lp150.1.3
%define cpan_name File-Remove
Summary:        Remove files and directories
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Remove/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Cwd) >= 3.29
%if 0%{?suse_version} <= 1110
BuildRequires:  perl(File::Spec) >= 3.2900
Requires:       perl(File::Spec) >= 3.2900
%else
BuildRequires:  perl(File::Spec) >= 3.29
Requires:       perl(File::Spec) >= 3.29
%endif
Requires:       perl(Cwd) >= 3.29
%{perl_requires}

%description
*File::Remove::remove* removes files and directories. It acts like
*/bin/rm*, for the most part. Although 'unlink' can be given a list of
files, it will not remove directories; this module remedies that. It also
accepts wildcards, * and ?, as arguments for filenames.

*File::Remove::trash* accepts the same arguments as *remove*, with the
addition of an optional, infrequently used "other platforms" hashref.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Nov 20 2016 chris@computersalat.de
- fix deps for SLE 11
* Thu May  5 2016 coolo@suse.com
- updated to 1.57
  see /usr/share/doc/packages/perl-File-Remove/Changes
  1.57    2016-04-24 - Shlomi Fish
  - Correct the copyright holder and year.
  - Add a test for Kwalitee and 'use warnings'.
* Mon Apr  4 2016 coolo@suse.com
- updated to 1.56
  see /usr/share/doc/packages/perl-File-Remove/Changes
  1.56    2016-03-23 - Shlomi Fish
  - Remove the Build.PL so there won't be two build files.
  - https://github.com/shlomif/File-Remove/pull/1
  - I think it doesn't matter too much with Dist-Zilla, but to avoid
    future complaints, I decided to comply with the request.
  - Thanks to Karen Etheridge (ETHER) for the report.
* Sun Mar 13 2016 chris@computersalat.de
- fix dep for Module::Build >= 0.2800
  * the developper usally uses 4 digits and not 6
* Wed Jan 13 2016 coolo@suse.com
- updated to 1.55
  see /usr/share/doc/packages/perl-File-Remove/Changes
* Fri Jan 25 2013 chris@computersalat.de
- update to 1.52
  * No functional changes
  * Updating Module::Install to 1.06
  * Moved File::Spec dependency to 3.29 to fix problems with
    four-digit decimal dependencies in some downstream packaging
    systems.
* Tue Mar  6 2012 ro@suse.de
- fix build on sle11
* Fri Nov 18 2011 coolo@suse.com
- update to 1.51
  - END-time deletion by clear() is now fork-safe, it will only remove
    paths created in the same process.
  - Adding a second skip for the known-bad cygwin file permissions problem
* Sun Jun  5 2011 lars@linux-schulserver.de
- fix build for SLE 11 by patching the lib and test files
  ( perl-File-Remove-old_File-Spec.patch ) and requiring
  perl-PathTools
* Thu Mar 24 2011 coolo@novell.com
- rpm does not know that 2701 is smaller than 33 for perl
* Thu Mar 24 2011 coolo@novell.com
- update to 1.49
  - Restoring 02_directoreis to no_plan as it runs different test counts
    on different systems.
  - Promoting dev code to production version
  - Fixed a major bug in the 1.46 logic that works out what to change the
    cwd to when deleting while inside a directory.
  - Add test counts to all test scripts
  - Added a test for space-safe globs
  - Updated to Module::Install::DSL 1.00
  - Skip test on cygwin due to non-root users not being able to deny
    themselves write permissions to files.
  - Added a test to delete directories when the current working
    directory is inside the location to delete (ADAMK)
  - Fixes for trash() with callbacks and on Mac (MIYAGAWA)
* Mon Jan 17 2011 coolo@novell.com
- buildrequire perl-macros
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Sun Oct 18 2009 rschweikert@novell.com
- Upgrade to version 1.42
